Skip to main content
PATCH
Patch resume data

Authorizations

x-api-key
string
header
required

The API key to authenticate requests.

Path Parameters

id
string
required

The ID of the resume to patch.

Body

application/json
operations
object[]
required

An array of JSON Patch (RFC 6902) operations to apply to the resume data.

Minimum array length: 1
expectedUpdatedAt
string<date-time>

If provided, the patch only applies when the resume version still matches this timestamp.

Response

The patched resume with its full data.

id
string
required

The ID of the resume.

name
string
required

The name of the resume.

Minimum string length: 1
slug
string
required

The slug of the resume.

Minimum string length: 1
tags
string[]
required

The tags of the resume.

isPublic
boolean
required

Whether the resume is public.

isLocked
boolean
required

Whether the resume is locked.

data
object
required
updatedAt
string<date-time>
required

The date and time the resume was last updated.

hasPassword
boolean
required